aboutsummaryrefslogtreecommitdiff
path: root/scripts/bin
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/bin/new-shell12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/bin/new-shell b/scripts/bin/new-shell
new file mode 100755
index 0000000..313ef91
--- /dev/null
+++ b/scripts/bin/new-shell
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+kind=$1;
+
+[[ -f "$kind" ]] && echo "You need to specify the type of shell" && exit 1;
+
+shell_path="$HOME/nixos/shell/$kind.nix";
+
+[[ ! -f "$shell_path" ]] && echo "Shell $kind doesn't exist" && exit 1;
+
+cp $shell_path ./default.nix;
+